package com.hw.dao;

import com.hw.entity.WechatInfo;
import com.hw.form.WechatInfoForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WechatInfoMapper {
    int deleteByPrimaryKey(String guid);

    int insert(WechatInfo record);

    int insertSelective(WechatInfo record);

    WechatInfo selectByPrimaryKey(String guid);

    int updateByPrimaryKeySelective(WechatInfo record);

    int updateByPrimaryKey(WechatInfo record);

    /**
     * 已存在公众号openid
     * lym
     * @return
     */
    List<WechatInfo> selectList(WechatInfoForm whatInfoFrom);

    /**
     * 已存在公众号openid
     * lym
     * @param appid
     * @return
     */
    String getOpenids(@Param("list") List<String> list,@Param("appid") String appid);

    /**
     * 批量添加
     * lym
     * @param list
     * @return
     */
    int batchAdd(@Param("list") List<WechatInfo> list);

    /**
     * 查询旧公众号openid
     * lym
     * @return
     */
    List<String> selectOldOpenids(WechatInfoForm whatInfoFrom);

    /**
     * 批量修改
     * lym
     * @param list
     * @return
     */
    int batchUpdate(@Param("list") List<WechatInfoForm> list);
}