package com.hw.form;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class WechatInfoForm {
    private String guid;

    @ApiModelProperty(value = "旧公众号appid",example = "旧公众号appid")
    private String oldAppid;

    @ApiModelProperty(value = "旧公众号openid",example = "旧公众号openid")
    private String oldOpenid;

    @ApiModelProperty(value = "旧公众号unionid",example = "旧公众号unionid")
    private String oldUnionid;

    @ApiModelProperty(value = "新公众号appid",example = "新公众号appid")
    private String newAppid;

    @ApiModelProperty(value = "新公众号openid",example = "新公众号openid")
    private String newOpenid;

    private Date createTime;

    private Date modifiedTime;

    protected Integer pageNo = 0;

    protected Integer pageSize = 10;

}
