package com.hw.service;

import com.github.pagehelper.PageInfo;
import com.hw.entity.WechatInfo;
import com.hw.form.WechatInfoForm;

import java.util.List;

public interface WechatInfoService{

    /**
     * 已存在公众号openid
     * lym
     * @return
     */
    PageInfo<List<WechatInfo>> selectList(WechatInfoForm whatInfoFrom);

    /**
     * 批量添加
     * lym
     * @param list
     * @return
     */
    int batchAdd(List<String> list,String appid);

    /**
     * 查询旧公众号openid
     * lym
     * @return
     */
    PageInfo<List<String>> selectOldOpenids(WechatInfoForm whatInfoFrom);

    /**
     * 批量修改
     * lym
     * @param list
     * @return
     */
    int batchUpdate(List<WechatInfoForm> list);
}
