package com.hw.util.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "web响应类", description = "web响应类")
public class ResponseBase<T> implements Serializable {

    @ApiModelProperty(value = "返回头信息")
    private RetHead retHead;

    @ApiModelProperty(value = "返回内容信息")
    private T retBody;

    public ResponseBase() {

    }

    public ResponseBase(T retBody) {
        this.retBody = retBody;
    }

    public ResponseBase(RetHead retHead) {
        this.retHead = retHead;
    }

}
